# This program is used to remove the RAID CIM classes when uninstalling the RAIDLxAg rpm.

# Load the Director agent install variables
if [ -f /etc/TWGagent/TWGagent ]; then
   . /etc/TWGagent/TWGagent
else
   echo "ITDAgent is not installed, exiting normally."
   # if they don't exist, ITDAgent has already been uninstalled
   exit 0
fi

# Is the CIMOM installed?
if [ ! -d $TWG_ROOTDIR/CIMOM ]; then
   echo "Director CIMOM is not install, exiting normally."
   exit 0
fi

# Need libpegcommon.so
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$TWG_ROOTDIR/CIMOM/lib

# ServeRAID.mof
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDOverallStatus
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDController
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LSIController
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDController
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSIChannel
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDBIOS
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDFirmware
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriver
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LSIBIOS
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LSIDriver
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LSIFirmware
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SpannedRAIDArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_DiskArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDLogicalDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDDiskDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_EnclosureSAFTEDevice
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_EnclosureFan
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_EnclosurePowerSupply
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_EnclosureTemperature
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSICDROMDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSIOpticalDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSITapeDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_PhysicalDiskDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SAFTEChip

# ServeRAIDSNMP.mof
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SNMPRAIDAgent
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SNMPRAIDController
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SNMPPhysicalDevice
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SNMPLogicalDevice

# ServeRAIDAssociations.mof
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDRealizesPhysicalDisk
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDRealizesSAFTEChip
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDDriveInDiskArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedRAIDArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LogicalDriveInArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ArrayInSpannedArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedDriver
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedFirmware
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedBIOS
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedSCSIChannel
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSIInterface
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedEnclosureFan
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedEnclosurePowerSupply
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedEnclosureTemperature
