#!/bin/sh
#
# TWGserver: Adds the IBM Director Agent bin and man directories to the
#            shell's.
#
# Version:  4.10
#
# config: /etc/profile.d/TWGagent.sh
#
#
# NOTE:    This script is not configurable!  Any changes made to this
#          script will be overwritten when you upgrade to the next
#          release of this product.
#

if [ -r /etc/TWGagent/TWGagent ]; then

    . /etc/TWGagent/TWGagent

    # Make certain there are no duplicates of Director's bin directory.
    IFS=":";NEWPATH=""
    for i in $PATH ; do
        case $i in
            $TWG_ROOTDIR/bin) # Strip the old
                ;;
            
            *)  # Keep the others
                if [ -z "$NEWPATH" ]; then
                    NEWPATH="$i"
                else
                    NEWPATH="$NEWPATH:$i"
                fi
                ;;
        esac
    done

    # Make certain there are no duplicates of Director's man directory.
    NEW_MANPATH=""
    for i in $MANPATH ; do
        case $i in
            $TWG_ROOTDIR/man) # Strip the old
                ;;
            
            *)  # Keep the others
                if [ -z "$NEW_MANPATH" ]; then
                    NEW_MANPATH="$i"
                else
                    NEW_MANPATH="$NEW_MANPATH:$i"
                fi
                ;;
        esac
    done

    IFS=" "
    PATH=$NEWPATH:$TWG_ROOTDIR/bin
    MANPATH=$NEW_MANPATH:$TWG_ROOTDIR/man

    export PATH MANPATH

fi
