# @(#)50   1.18.1.1   src/csm/install/pkgdefs/Linux-SLES8.1-ppc64.pm.perl, setup, csm_rsirl, rsirl0403a 10/13/03 22:47:03
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2003 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 
#  Package Definition File:  SLES 8.1
#
# The following variables must be set before including this file:
#  $::mgmt_type   = MgmtServer | MgdNode
#  $::csm_version = 1.2.0, 1.3.0, etc.

package SLES72;

#  Load base Linux definitions:
#require "/opt/csm/install/pkgdefs/linux";

NodeUtils->messageFromCat('csmInstall.cat',$::MSGMAPPATH,'csminstall','V', 'IMsgLoading', "/opt/csm/install/pkgdefs/Linux-SLES8.1.pm");

%::pkgdefs = ();

$::pkgdefs{DISTRO_NAME}        = "SuSE SLES 8.1 PPC";
$::pkgdefs{DISTRO_DISKLIST}    = "1 2 4";	# TO BE REMOVED
$::pkgdefs{DISTRO_RPMDIR}      = "suse";

# Distribution Disk descriptions used when prompting for the CD-ROMs
# On stanza per CDROM:
#   num                 = the number on the CD-ROM's label
#   name                = the text string describing the CD-ROM
#   diskid_filename     = the filename to search for to identify the disk
#                           (use shell wildcards if needed)
#   diskid_searchstring = the string to search for in diskid_filename
#                           (use perl regular expressions if needed)
@::distro_disks = ( 
	{
	    num			=> '1',
	    name		=> $::pkgdefs{DISTRO_NAME},
	    diskid_filename     => 'media.1/products',
	    diskid_searchstring => '/ SuSE-Linux-SLES-PPC 8',
	},
	{
	    num			=> '2',
	    name		=> $::pkgdefs{DISTRO_NAME},
	    diskid_filename     => 'media.2/products',
	    diskid_searchstring => '/ SuSE-Linux-SLES-PPC 8',
	    not_for_full_install=> 'TRUE',
	},
	{
	    num			=> '1',
	    name		=> $::pkgdfs{$DISTRO_NAME} . ' Supplementary',
	    diskid_filename     => 'media.1/products',
	    diskid_searchstring => '/ SuSE-Linux-SLES-PPC-SUPP 1',
	    not_for_full_install=> 'TRUE',
	},
);
$::pkgdefs{distro_disks}	= [ @::distro_disks ];


# Open Source Prereqs to Install
my $opensrc_prereqs;
$opensrc_prereqs{'MgmtServer'}{'1.3.2'} 
	    = ['tftp-hpa','IBMJava2-JRE-1.3.1','conserver','openCIMOM-0.7*'];
$opensrc_prereqs{'MgdNode'}{'1.2.0'} = [];
$opensrc_prereqs{'MgdNode'}{'1.3.0'} = ['autoupdate'];
$opensrc_prereqs{'MgdNode'}{'1.3.1'} = ['autoupdate'];
$opensrc_prereqs{'MgdNode'}{'1.3.2'} = ['autoupdate'];

if ($::ITDAGENT eq "true")
{
   #push (@{$opensrc_prereqs{'MgmtServer'}{'1.3.2'}}, 'ITDAgent');
   #push (@{$opensrc_prereqs{'MgdNode'}{'1.3.0'}}, 'ITDAgent');
   #push (@{$opensrc_prereqs{'MgdNode'}{'1.3.1'}}, 'ITDAgent');
   #push (@{$opensrc_prereqs{'MgdNode'}{'1.3.2'}}, 'ITDAgent');
}

$::pkgdefs{opensrc_prereqs} = $opensrc_prereqs{$::mgmt_type}{$::csm_version};


# RSCT Packages to Install
my $rsct_packages;
$rsct_packages{'MgmtServer'}{'1.3.2'}
	    = ['src','rsct.core.utils','rsct.core'];
$rsct_packages{'MgdNode'}{'1.2.0'}
	    = ['src','rsct.core.utils','rsct.core'];
$rsct_packages{'MgdNode'}{'1.3.0'}
	    = ['src','rsct.core.utils','rsct.core'];
$rsct_packages{'MgdNode'}{'1.3.1'}
	    = ['src','rsct.core.utils','rsct.core'];
$rsct_packages{'MgdNode'}{'1.3.2'}
	    = ['src','rsct.core.utils','rsct.core'];
$::pkgdefs{rsct_packages} = $rsct_packages{$::mgmt_type}{$::csm_version};


# CSM Packages to Install
my $csm_packages;
$csm_packages{'MgmtServer'}{'1.3.2'}
	    = ['csm.core','csm.dsh','csm.server','csm.diagnostics'];
$csm_packages{'MgdNode'}{'1.2.0'}
	    = ['csm.core','csm.client'];
$csm_packages{'MgdNode'}{'1.3.0'}
	    = ['csm.core','csm.client','csm.diagnostics'];
$csm_packages{'MgdNode'}{'1.3.1'}
	    = ['csm.core','csm.client','csm.diagnostics'];
$csm_packages{'MgdNode'}{'1.3.2'}
	    = ['csm.core','csm.client','csm.diagnostics'];
$::pkgdefs{csm_packages} = $csm_packages{$::mgmt_type}{$::csm_version};

# Director Packages to Install
my $director_packages;
$director_packages{'MgmtServer'}{'1.3.2'}
	    = [];
$director_packages{'MgdNode'}{'1.2.0'}=[];
$director_packages{'MgdNode'}{'1.3.0'}=[];
$director_packages{'MgdNode'}{'1.3.1'}
	    = [];
$director_packages{'MgdNode'}{'1.3.2'}
	    = [];
$::pkgdefs{director_packages} = $director_packages{$::mgmt_type}{$::csm_version};


# Packages to uninstall
my $rsct_unpackages;
$rsct_unpackages{'MgmtServer'}{'1.3.2'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.2.0'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.3.0'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.3.1'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.3.2'}=['src','rsct.core.utils','rsct.core'];
$::pkgdefs{rsct_unpackages} = $rsct_unpackages{$::mgmt_type}{$::csm_version};

my $csm_unpackages;
$csm_unpackages{'MgmtServer'}{'1.3.2'}
	    = ['csm.dsh','csm.server','csm.diagnostics','csm.gui.dcem'];
$csm_unpackages{'MgdNode'}{'1.2.0'}
	    = ['csm.core','csm.client'];
$csm_unpackages{'MgdNode'}{'1.3.0'}
	    = ['csm.core','csm.diagnostics','csm.client'];
$csm_unpackages{'MgdNode'}{'1.3.1'}
	    = ['csm.core','csm.diagnostics','csm.client'];
$csm_unpackages{'MgdNode'}{'1.3.2'}
	    = ['csm.core','csm.diagnostics','csm.client'];
$::pkgdefs{csm_unpackages} = $csm_unpackages{$::mgmt_type}{$::csm_version};

# Directories to uninstall from the management server
# This variable used to be named csmUnistallList_dir
my $csm_uninstall_dirs;
$csm_uninstall_dirs{'MgmtServer'}{'1.3.2'}=['/csminstall','/cfmroot'];
$csm_uninstall_dirs{'MgdNode'}{'1.2.0'}=[];
$csm_uninstall_dirs{'MgdNode'}{'1.3.0'}=[];
$csm_uninstall_dirs{'MgdNode'}{'1.3.1'}=[];
$csm_uninstall_dirs{'MgdNode'}{'1.3.2'}=[];
$::pkgdefs{csm_uninstall_dirs} = $csm_uninstall_dirs{$::mgmt_type}{$::csm_version};

# Packages to NOT uninstall
# This variable used to be named csmUnistallList_pack
my $csm_nouninstall_pkgs;
$csm_nouninstall_pkgs{'MgmtServer'}{'1.3.2'}=['csm.core'];
$csm_nouninstall_pkgs{'MgdNode'}{'1.2.0'}=[];
$csm_nouninstall_pkgs{'MgdNode'}{'1.3.0'}=[];
$csm_nouninstall_pkgs{'MgdNode'}{'1.3.1'}=[];
$csm_nouninstall_pkgs{'MgdNode'}{'1.3.2'}=[];
$::pkgdefs{csm_nouninstall_pkgs} = $csm_nouninstall_pkgs{$::mgmt_type}{$::csm_version};

# CSM binaries copied to /csminstall/csm directory
my $csm_bin_copy_csm;
$csm_bin_copy_csm{'1.2.0'}=['/opt/csm/csmbin/updatenode.client','/opt/csm/csmbin/write_status','/opt/csm/msgmaps/csmInstall.csminstall.map','/opt/csm/pm/NodeUtils.pm','/opt/csm/pm/InstallUtils.pm','/opt/csm/pm/CSMDefs.pm','/opt/csm/msgmaps/nodecmds.NodeUtils.map','/opt/csm/csmbin/rmnode_client','/opt/csm/bin/setupconsole','/opt/csm/csmbin/makenode','/opt/csm/csmbin/csmprereboot','/opt/csm/csmbin/csmfirstboot','/usr/bin/tftp','/opt/csm/install/defs','/opt/csm/install/pkgdefs'];
$csm_bin_copy_csm{'1.3.0'}=['/opt/csm/csmbin/updatenode.client','/opt/csm/csmbin/write_status','/opt/csm/msgmaps/csmInstall.csminstall.map','/opt/csm/pm/NodeUtils.pm','/opt/csm/pm/InstallUtils.pm','/opt/csm/pm/CSMDefs.pm','/opt/csm/msgmaps/nodecmds.NodeUtils.map','/opt/csm/csmbin/rmnode_client','/opt/csm/bin/setupconsole','/opt/csm/csmbin/makenode','/opt/csm/csmbin/csmprereboot','/opt/csm/csmbin/csmfirstboot','/usr/bin/tftp','/opt/csm/install/defs','/opt/csm/install/pkgdefs'];
$csm_bin_copy_csm{'1.3.1'}=['/opt/csm/csmbin/updatenode.client','/opt/csm/csmbin/write_status','/opt/csm/msgmaps/csmInstall.csminstall.map','/opt/csm/pm/NodeUtils.pm','/opt/csm/pm/InstallUtils.pm','/opt/csm/pm/CSMDefs.pm','/opt/csm/msgmaps/nodecmds.NodeUtils.map','/opt/csm/csmbin/rmnode_client','/opt/csm/bin/setupconsole','/opt/csm/csmbin/makenode','/opt/csm/csmbin/setbootdisk','/opt/csm/csmbin/csmprereboot','/opt/csm/csmbin/csmfirstboot','/usr/bin/tftp','/opt/csm/install/defs','/opt/csm/install/pkgdefs'];
#$csm_bin_copy_csm{'1.3.2'}=['/opt/csm/csmbin/updatenode.client','/opt/csm/csmbin/write_status','/opt/csm/msgmaps/csmInstall.csminstall.map','/opt/csm/pm/NodeUtils.pm','/opt/csm/pm/InstallUtils.pm','/opt/csm/pm/CSMDefs.pm','/opt/csm/msgmaps/nodecmds.NodeUtils.map','/opt/csm/csmbin/rmnode_client','/opt/csm/bin/setupconsole','/opt/csm/csmbin/makenode','/opt/csm/csmbin/setbootdisk','/opt/csm/csmbin/csmprereboot','/opt/csm/csmbin/csmfirstboot','/usr/bin/tftp','/opt/csm/install/defs','/opt/csm/install/pkgdefs'];
#$::pkgdefs{csm_bin_copy_csm} = $csm_bin_copy_csm{$::csm_version};

$csm_bin_copy_csm{'1.3.2'}=['/opt/csm/csmbin/updatenode.client','/opt/csm/csmbin/write_status','/opt/csm/msgmaps/csmInstall.csminstall.map','/opt/csm/pm/NodeUtils.pm','/opt/csm/pm/InstallUtils.pm','/opt/csm/pm/CSMDefs.pm','/opt/csm/msgmaps/nodecmds.NodeUtils.map','/opt/csm/csmbin/rmnode_client','/opt/csm/bin/setupconsole','/opt/csm/csmbin/makenode','/opt/csm/csmbin/setbootdisk','/opt/csm/csmbin/csmprereboot','/opt/csm/csmbin/csmfirstboot', '/opt/csm/install/defs','/opt/csm/install/pkgdefs', '/usr/sbin/rsct/lib/libct_mc.so', '/usr/sbin/rsct/lib/libct_cu.so', '/usr/sbin/rsct/lib/libct_tr.so', '/usr/sbin/rsct/lib/libct_pmsg.so', '/usr/sbin/rsct/lib/libct_sec.so', '/usr/sbin/rsct/lib/libct_idm.so', '/usr/sbin/rsct/lib/libct_ffdc.so', '/usr/sbin/rsct/cfg/ctsec.cfg', '/usr/sbin/rsct/bin/runact-api', '/opt/csm/csmbin/nodestatus.client'];
$::pkgdefs{csm_bin_copy_csm} = $csm_bin_copy_csm{$::csm_version};

# CSM binaries copied to /tftpboot directory
my $csm_bin_copy_tftpboot;
$csm_bin_copy_tftpboot{'1.2.0'}=[];
$csm_bin_copy_tftpboot{'1.3.0'}=[];
$csm_bin_copy_tftpboot{'1.3.1'}=[];
$csm_bin_copy_tftpboot{'1.3.2'}=[];
$::pkgdefs{csm_bin_copy_tftpboot} = $csm_bin_copy_tftpboot{$::csm_version};

# REMOVE THE USE OF THIS VARIABLE FROM installms and installnode
# Csm binaries copied to /csminstall/csm/<csmVersion> directory
# There are no longer any version specific tools to copy.  Everything
# is in /csminstall/csm.  The kickstart files are still in 
# /csminstall/csm/<csmVersion>/<RedHatVersion>, so don't remove the
# <csmVersion> directory.
#my $csm_bin_copy_csmver;
#$csm_bin_copy_csmver{'1.2.0'}=[];
#$csm_bin_copy_csmver{'1.3.0'}=[];
#$csm_bin_copy_csmver{'1.3.1'}=[];
#$csm_bin_copy_csmver{'1.3.2'}=[];
#$::pkgdefs{csm_bin_copy_csmver} = $csm_bin_copy_csmver{$::csm_version};

# Operating System pre-requisites
# This variable used to be named Linux_os_prereqs
# NOTE:  These variable names have changed slightly.  Now, both are merged
#        into os_prereqs, and there is a $::mgmt_type argument.  The
#        Linux_client_os_prereqs array is gone.
#        Changes required in installms, copycsmpkgs and makenode
my $os_prereqs;
$os_prereqs{'MgmtServer'}=['perl-5*','nfs-utils-*','pdksh-*','dhcp-base*','dhcp-server*','rdist-6*','tcl-8*','tk-8*','expect-5*','xf86*','freetype2*','rsync-*','rsh-server-*','termcap-*','perl-XML-RegExp-*'];
$os_prereqs{'MgdNode'}=['perl-5*','nfs-utils-*','pdksh-*','dhcp-base*','dhcp-server*','rdist-6*','tcl-8*','tk-8*','expect-5*','xf86*','freetype2*','rsync-*','rsh-server-*'];
$::pkgdefs{os_prereqs} = $os_prereqs{$::mgmt_type};

# CSM Log files ( used while uninstalling)
my $logfiles;
$logfiles{'MgmtServer'}=['/var/log/csm/csmsetupsis.log*','/var/log/csm/installnode.log*','/var/log/csm/updatenode.log*','/var/log/csm/installms.log*'];
$logfiles{'MgdNode'}=['/var/log/csm/install.log*','/var/opt/csm/cfmlocal*'];
$::pkgdefs{logfiles} = $logfiles{$::mgmt_type};

%::rpm_pkg_flag=();
$::rpm_pkg_flag{openCIMOM}=" --ignoreos";
1;  # end
