# @(#)23   1.3.1.3   src/csm/install/pkgdefs/Linux-SLES8.1-x86_64.pm.perl, setup, csm_rsirl, rsirl0403a 12/30/03 20:50:43
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2003,2004 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 
#  Package Definition File:  SLES 8.1 x86_64
#
# The following variables must be set before including this file:
#  $::mgmt_type   = MgmtServer | MgdNode
#  $::csm_version = 1.2.0, 1.3.0, etc.

package SLES81;
do "/opt/csm/install/pkgdefs/Linux.pm";

#  Load base Linux definitions:
#require "/opt/csm/install/pkgdefs/linux";

NodeUtils->messageFromCat('csmInstall.cat',$::MSGMAPPATH,'csminstall','V', 'IMsgLoading', "/opt/csm/install/pkgdefs/Linux-SLES8.1-x86_64.pm");


$::pkgdefs{DISTRO_NAME}        = "SuSE SLES 8.1 x86_64";
$::pkgdefs{DISTRO_DISKLIST}    = "1 4";		# TO BE REMOVED
$::pkgdefs{DISTRO_RPMDIR}      = "suse";

# Distribution Disk descriptions used when prompting for the CD-ROMs
# On stanza per CDROM:
#   num                 = the number on the CD-ROM's label
#   name                = the text string describing the CD-ROM
#   diskid_filename     = the filename to search for to identify the disk
#                           (use shell wildcards if needed)
#   diskid_searchstring = the string to search for in diskid_filename
#                           (use perl regular expressions if needed)
@::distro_disks = ( 
	{
	    num			=> '1',
	    name		=> $::pkgdefs{DISTRO_NAME},
	    diskid_filename     => 'media.1/products',
	    diskid_searchstring => '/ SuSE-Linux-SLES-x86_64 8',
	},
	{
	    num			=> '1',
	    name		=> "UnitedLinux 1.0 x86_64",
	    diskid_filename     => 'media.1/products',
	    diskid_searchstring => '/ UnitedLinux-x86-64 1.0',
	},
	{
	    num			=> '2',
	    name		=> "UnitedLinux 1.0 x86_64",
	    diskid_filename     => 'media.2/products',
	    diskid_searchstring => '/ UnitedLinux-x86-64 1.0',
	}
);
$::pkgdefs{distro_disks}	= [ @::distro_disks ];

@::sp_disks = ( 
	{
	    num			=> '1',
	    name		=> "UnitedLinux 1.0 x86_64 SP3",
	    diskid_filename     => 'media.1/products',
	    diskid_searchstring => '/ UnitedLinux-x86-64 3',
	},
);
$::pkgdefs{sp_disks}		= [ @::sp_disks ];

# Open Source Prereqs to Install
my $opensrc_prereqs;
$opensrc_prereqs{'MgmtServer'}{'1.3.2'} 
	    = ['tftp-hpa','syslinux','IBMJava2-JRE-1.3.1','conserver','perl-XML-RegExp','fping'];
$opensrc_prereqs{'MgdNode'}{'1.2.0'} = [];
$opensrc_prereqs{'MgdNode'}{'1.3.0'} = ['autoupdate'];
$opensrc_prereqs{'MgdNode'}{'1.3.1'} = ['autoupdate'];
$opensrc_prereqs{'MgdNode'}{'1.3.2'} = ['autoupdate'];

if ($::ITDAGENT eq "true")
{
   @{$opensrc_prereqs{'MgmtServer'}{'1.3.2'}}=(@{$opensrc_prereqs{'MgmtServer'}{'1.3.2'}},'ITDAgent','DirAgent','RAIDLxAg','MPAAgent');

   #push (@{$opensrc_prereqs{'MgmtServer'}{'1.3.1'}}, 'ITDAgent');
   #push (@{$opensrc_prereqs{'MgdNode'}{'1.3.0'}}, 'ITDAgent');
   #push (@{$opensrc_prereqs{'MgdNode'}{'1.3.1'}}, 'ITDAgent');
}

$::pkgdefs{opensrc_prereqs} = $opensrc_prereqs{$::mgmt_type}{$::csm_version};


# RSCT Packages to Install
my $rsct_packages;
$rsct_packages{'MgmtServer'}{'1.3.2'}
	    = ['src','rsct.core.utils','rsct.core','rsct.basic'];
$rsct_packages{'MgdNode'}{'1.2.0'}
	    = ['src','rsct.core.utils','rsct.core','rsct.basic'];
$rsct_packages{'MgdNode'}{'1.3.0'}
	    = ['src','rsct.core.utils','rsct.core','rsct.basic'];
$rsct_packages{'MgdNode'}{'1.3.1'}
	    = ['src','rsct.core.utils','rsct.core','rsct.basic'];
$rsct_packages{'MgdNode'}{'1.3.2'}
	    = ['src','rsct.core.utils','rsct.core','rsct.basic'];
$::pkgdefs{rsct_packages} = $rsct_packages{$::mgmt_type}{$::csm_version};


# CSM Packages to Install
my $csm_packages;
$csm_packages{'MgmtServer'}{'1.3.2'}
	    = ['csm.core','csm.dsh','csm.server','csm.diagnostics',
	       'csm.gui.dcem'];
$csm_packages{'MgdNode'}{'1.2.0'}
	    = ['csm.core','csm.client'];
$csm_packages{'MgdNode'}{'1.3.0'}
	    = ['csm.core','csm.client','csm.diagnostics'];
$csm_packages{'MgdNode'}{'1.3.1'}
	    = ['csm.core','csm.client','csm.diagnostics'];
$csm_packages{'MgdNode'}{'1.3.2'}
	    = ['csm.core','csm.client','csm.diagnostics'];
$::pkgdefs{csm_packages} = $csm_packages{$::mgmt_type}{$::csm_version};

# Director Packages to Install
my $director_packages;
$director_packages{'MgmtServer'}{'1.3.2'}
	    = ['csm.director.agent','csm.director.server'];
$director_packages{'MgdNode'}{'1.2.0'}=[];
$director_packages{'MgdNode'}{'1.3.0'}=[];
$director_packages{'MgdNode'}{'1.3.1'}
	    = ['csm.director.agent','csm.director.server'];
$director_packages{'MgdNode'}{'1.3.2'}
	    = ['csm.director.agent','csm.director.server'];
$::pkgdefs{director_packages} = $director_packages{$::mgmt_type}{$::csm_version};


# Packages to uninstall
my $rsct_unpackages;
$rsct_unpackages{'MgmtServer'}{'1.3.2'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.2.0'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.3.0'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.3.1'}=['src','rsct.core.utils','rsct.core'];
$rsct_unpackages{'MgdNode'}{'1.3.2'}=['src','rsct.core.utils','rsct.core'];
$::pkgdefs{rsct_unpackages} = $rsct_unpackages{$::mgmt_type}{$::csm_version};

my $csm_unpackages;
$csm_unpackages{'MgmtServer'}{'1.3.2'}
	    = ['csm.dsh','csm.server','csm.diagnostics','csm.gui.dcem'];
$csm_unpackages{'MgdNode'}{'1.2.0'}
	    = ['csm.core','csm.client'];
$csm_unpackages{'MgdNode'}{'1.3.0'}
	    = ['csm.core','csm.diagnostics','csm.client'];
$csm_unpackages{'MgdNode'}{'1.3.1'}
	    = ['csm.core','csm.diagnostics','csm.client'];
$csm_unpackages{'MgdNode'}{'1.3.2'}
	    = ['csm.core','csm.diagnostics','csm.client'];
$::pkgdefs{csm_unpackages} = $csm_unpackages{$::mgmt_type}{$::csm_version};

# Directories to uninstall from the management server
# This variable used to be named csmUnistallList_dir
my $csm_uninstall_dirs;
$csm_uninstall_dirs{'MgmtServer'}{'1.3.2'}=['/csminstall','/cfmroot'];
$csm_uninstall_dirs{'MgdNode'}{'1.2.0'}=[];
$csm_uninstall_dirs{'MgdNode'}{'1.3.0'}=[];
$csm_uninstall_dirs{'MgdNode'}{'1.3.1'}=[];
$csm_uninstall_dirs{'MgdNode'}{'1.3.2'}=[];
$::pkgdefs{csm_uninstall_dirs} = $csm_uninstall_dirs{$::mgmt_type}{$::csm_version};

# Packages to NOT uninstall
# This variable used to be named csmUnistallList_pack
my $csm_nouninstall_pkgs;
$csm_nouninstall_pkgs{'MgmtServer'}{'1.3.2'}=['csm.core'];
$csm_nouninstall_pkgs{'MgdNode'}{'1.2.0'}=[];
$csm_nouninstall_pkgs{'MgdNode'}{'1.3.0'}=[];
$csm_nouninstall_pkgs{'MgdNode'}{'1.3.1'}=[];
$csm_nouninstall_pkgs{'MgdNode'}{'1.3.2'}=[];
$::pkgdefs{csm_nouninstall_pkgs} = $csm_nouninstall_pkgs{$::mgmt_type}{$::csm_version};


# Operating System pre-requisites
# This variable used to be named Linux_os_prereqs
# NOTE:  These variable names have changed slightly.  Now, both are merged
#        into os_prereqs, and there is a $::mgmt_type argument.  The
#        Linux_client_os_prereqs array is gone.
#        Changes required in installms, copycsmpkgs and makenode
my $os_prereqs;
$os_prereqs{'MgmtServer'}=['perl-5*','nfs-utils-*','pdksh-*','dhcp-base-*','dhcp-server-*','rdist-6.1.5-141*','tcl-8*','tk-8*','expect-5.34-223*','xf86*','freetype2*','termcap-*','expat-*','perl-XML-Parser-*','perl-XML-DOM-*','perl-HTML-Tagset-*','perl-HTML-Parser-*','perl-URI-*','perl-libwww-perl-*'];
$os_prereqs{'MgdNode'}=['perl-5*','nfs-utils-*','pdksh-*','dhcp-base-*','dhcp-server-*','rdist-6.1.5-141*','tcl-8*','tk-8*','expect-5.34-223*','xf86*','freetype2*','rsh-server-*'];
$::pkgdefs{os_prereqs} = $os_prereqs{$::mgmt_type};

1;  # end
