#!/usr/bin/perl
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2000,2003 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 

$::STD_PROBE_UTILDIR ="/opt/diagnostics/utilities";
if($ENV{"STD_PROBE_UTILDIR"}){
        $::STD_PROBE_UTILDIR=$ENV{"STD_PROBE_UTILDIR"};
}
# Make sure that your probe uses the strict pragma or you will
# get errors.

use strict;
require "$::STD_PROBE_UTILDIR/ProbeSupport.pm";

# The next step is to define some functions and variables that will be
# used by the support library.

# If a probe is to use NLS support, it must define the following three
# global variables:

$::MSGCAT       = 'stdProbes.cat';
$::MSGMAPPATH   = $ENV{'CSM_MSGMAPS'} ? $ENV{'CSM_MSGMAPS'}: '/opt/diagnostics/msgmaps';
$::MSGSET       = "template";

# If you want more information on how these variables are used, please
# go to the STD_PROBE_UTILDIR and type pod2text ProbeSupport.pm


# The MESSAGES hash table consists of all the messages that can be
# generated by this probe. 
# Messages may have the characters '%s' anywhere in them which
# will be replaced with arguments whenever the message is used.
# You should only define this variable if you do not have NLS support.


#%::MESSAGES=(
#              IMsgtstUsage => "Program %s is up and running.\n", 
#	      IMsgOS => "You are running %s on this machine.\n"
#          );


# The next step is to define some functions and variables that will be
# used by the support library.

sub printdep() {
    print "";  # No dependencies

    # Replace the abovee command with a command that prints a colon
    # separated list of this probes dependencies.  The optionally dependent
    # probes are separated by a # character.
    # For example:
    #        print "probe1:probe2:probe3#optprobe1:optprobe2";
}




# Initialize the probe.  This should be done by every probe
ProbeSupport->probe_init();
# The next step before the actual code of the probe is to parse the
# known arguments.  This should be done by every probe.
ProbeSupport->parseargs();


# Now insert the utility code here.....
# Here are some examples of how to call the print commands:
ProbeSupport->printexpl('IMsgtstUsage',$::PROGNAME);
ProbeSupport->printerror('IMsgtstUsage', $::PROGNAME);
ProbeSupport->printtrace('IMsgtstUsage', $::PROGNAME);
ProbeSupport->printattn('IMsgtstUsage', $::PROGNAME);
my $OS = "Unknown";
if(ProbeSupport->isLinux()){ $OS = "Linux" }
elsif(ProbeSupport->isAix()){ $OS = "AIX" }
# Remember that expl messages are only printed if level is 2 or less!
ProbeSupport->printexpl('IMsgOS', $OS);
# Finally we need to exit
ProbeSupport->probe_exit();

