# sccsid = "@(#)30   1.1   src/csm/probemgr/probes/csm_probes/HWCtrlCommon.pm.perl, probemgr, csm_rsirl, rsirl0403a 5/27/03 17:00:47"
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2003 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 

package HWCtrlCommon;

BEGIN { $::csmpm = $ENV{'CSM_PM'} ? $ENV{'CSM_PM'} : '/opt/csm/pm'; }
use lib $::csmpm;
use CSMDefs;

$::STD_PROBE_UTILDIR ="/opt/diagnostics/utilities";
if($ENV{"STD_PROBE_UTILDIR"}){
        $::STD_PROBE_UTILDIR=$ENV{"STD_PROBE_UTILDIR"};
}
require "$::STD_PROBE_UTILDIR/ProbeSupport.pm";

my $CONFIGDIR  = "/opt/diagnostics/config" unless $ENV{"STD_PROBE_CONFIGDIR"};
my $ConfigFile = "$CONFIGDIR/ibm.csm.HWCtrl.cfg";

use Exporter;
@ISA = qw(Exporter);

################################################################################
# Fetch all available power methods. 
# These are in /opt/csm/lib/lib<PowerMethod>_power.[a|so]
# Returns:
# (1, commandname) : commmand name is invalid
################################################################################
sub fetchRPowerMethods {
	 my %input = @_;

	 if ( ref($input{result}) ne 'HASH' ) { die "Expected a hash reference, not a $input{result}\n"; }

	 my @Libs = `ls -1 /opt/csm/lib/lib*power*`;
	 foreach $library ( @Libs ) {
		  # check that library is not 0 size
		  $library =~ s/\s+//g;
		  if ( !-s $library ) {
				next;
		  }
		  if ( $library !~ /\/opt\/csm\/lib\/lib(.*)_power\.(a|so)/ ) {
				next;
		  }
		  my $name = $1;
		  $input{result}->{$name}=$library;
	 }

#  User defined Power methods are not supported, so dont compute them here.
#  	 my @UserMethods = `ls -1 $::CSMBIN/*_power`;
#  	 foreach my $user_method ( @UserMethods ) {
#  		  # skip it if the command is 0 size or is not executable
#  		  # TODO - fix this in cases where the command is a symbolic link....
#  #		  if ( -z $user_method || ! -x $user_method) {
#  #				next;
#  #		  }
#  		  $user_method =~ /.*\/(.*)_power/;
#  		  my $name = $1;
#  		  $input{result}->{$name}=$user_method;
#  		  $input{result}->{$name}{USER_DEFINED}=1;
#  	 }

}

################################################################################
# Get the list of available ConsoleMethods
# Returns:
# (1, commandname) : commmand name is invalid
################################################################################
sub fetchConsoleMethods {
	 my %input = @_;

	 if ( ref($input{result}) ne 'HASH' ) { die "Expected a hash reference, not a $input{result}\n"; }
	 
	 @Methods = `ls -1 $::CSMBIN/*_console`;
	 foreach my $method_command ( @Methods ) {
		  $method_command =~ s/\s+//g;
		  if ( $method_command !~ /.*\/(.*)_console/ ) {
				next;
		  }
		  $method_name = $1;
		  
		  # check that the command is not 0 size and is executable
		  if ( -z $method_command || !-x $method_command ) {
				return (1,$method_command);
		  }
		  if ( $method_name eq "conserver" ) { 
				next; 
		  }
#		  print "Adding [$method_name]\n";
		  $input{result}->{$method_name}=$method_command;
    }
	 return (0,"");
}

################################################################################
# get the list of nodes from the config file
################################################################################
sub fetchNodes2Probe {
	 my %input = @_;
	 return ProbeSupport->fetch_input_nodes( result=>$input{result} );
}

1;
