#!/usr/bin/perl
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2001,2003 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 

package UserManagementUtil;

sub userexist {
    shift;
    my $my_user = shift;
    if (!defined($my_user))
    {
      return 127;
    }

    my $PLTFRM = `uname`;
    my $Aix_flg = 0;
    chomp($PLTFRM);
    if ($PLTFRM eq "AIX")
    {
      $Aix_flg=1;
    }

    if ($Aix_flg == 0) 
    {
        open PASSWD, "</etc/passwd" ||  return 127;

        while(<PASSWD>) 
        {
            my ($login,undef,$uid,undef) = split(/:/, $_, 4);
            push @logins, $login;
            push @uids, $uid;
        }
        close PASSWD;

        # argument is a UID
        if($my_user =~ /^\d+$/) 
        {     
           if(not grep {$my_user eq $_} @uids) 
           {
               return 1;
           }
        } 
        else 
        {                     
           # argument is a login
           if (not grep {$my_user eq $_} @logins) 
           {
               return 1;
           }
        }
      return 0;
    }
    else
   {
       #if the os is AIX
       open PASSWD, "</etc/passwd" ||  return 127;

       while(<PASSWD>) 
       {
         my ($login,undef,$uid,undef) = split(/:/, $_, 4);
         push @logins, $login;
         push @uids, $uid;
       }
       close PASSWD;

       # argument is a UID
       if($curarg =~ /^\d+$/) 
       {     
          if(not grep {$curarg eq $_} @uids) 
          {
              return 1;
          }
       } 
       else 
       {                     # argument is a login
          if (not grep {$curarg eq $_} @logins) 
          {
            return 1;
          }
       }
      return 0;
   }

}

sub  groupexist {
    shift;
    my $my_group = shift;
    if (!defined($my_group))
    {
      return 127;
    }

    $PLTFRM = `uname`;
    $Aix_flg = 0;
    chomp($PLTFRM);
    if ($PLTFRM eq "AIX")
    {
      $Aix_flg=1;
    }

    if ($Aix_flg == 0) 
    {
       # Read in /etc/group
       open GROUP, "</etc/group" || return 127;

       while(<GROUP>) 
       {
          my ($groupname,undef,$gid,undef) = split(/:/, $_, 4);
          push @groupnames, $groupname;
          push @gids, $gid;
       }
       close GROUP;

       # argument is a GID
       if($my_group =~ /^\d+$/) 
       {     
          if(not grep {$my_group eq $_} @gids) 
          {
              return 1;
          }
       } 
       else 
       {                     # argument is a groupname
          if (not grep {$my_group eq $_} @groupnames) 
          {
              return 1;
          }
       }
      return 0;
    }
    else
    {
       #if the os is AIX
       # Read in /etc/group
       open GROUP, "</etc/group" || exit(127);

       while(<GROUP>) 
       {
          my ($groupname,undef,$gid,undef) = split(/:/, $_, 4);
          push @groupnames, $groupname;
          push @gids, $gid;
       }
       close GROUP;

       # argument is a GID
       if($my_group =~ /^\d+$/) 
       {     
          if(not grep {$my_group eq $_} @gids) 
          {
              return 1;
          }
       } 
       else 
       {                     # argument is a groupname
          if (not grep {$my_group eq $_} @groupnames) 
          {
              return 1;
          }
       }
      return 0;
    }

}

sub gid2group {
    shift;
    my $my_gid = shift;
    if (!defined($my_gid))
    {
      return 127;
    }
    my $PLTFRM = `uname`;
    my $Aix_flg = 0;
    chomp($PLTFRM);
    if ($PLTFRM eq "AIX")
    {
      $Aix_flg=1;
    }

    if ($Aix_flg == 0) 
    {
       # Read in /etc/group
       open GROUP, "</etc/group" || return 127;
       while(<GROUP>) 
       {
         my ($groupname,undef,$gid,undef) = split(/:/, $_, 4);
         $groupname{$gid}=$groupname;
       }
       close GROUP;

       if(exists $groupname{$my_gid}) 
       {
           #print $groupname{$my_gid},"\n";
           return  $groupname{$my_gid};
       } 
       else 
       {
         return 1;
       }
    }
    else
    {
       #if the os is AIX
       # Read in /etc/group
       open GROUP, "</etc/group" || return 127;
       while(<GROUP>) 
       {
          my ($groupname,undef,$gid,undef) = split(/:/, $_, 4);
          $groupname{$gid}=$groupname;
       }
       close GROUP;
 
       if(exists $groupname{$my_gid}) 
       {
           #print $groupname{$my_gid},"\n";
           return  $groupname{$my_gid};
       } 
       else 
       {
           return 1;
       }
    }
}

sub group2gid {
    shift;
    my $my_group = shift;
    if (!defined($my_group))
    {
      return 127;
    }

   my $PLTFRM = `uname`;
   my $Aix_flg = 0;
   chomp($PLTFRM);
   if ($PLTFRM eq "AIX")
   {
      $Aix_flg=1;
   }

   if ($Aix_flg == 0) 
   {
     # Read in /etc/group
     open GROUP, "</etc/group" || return 127;
     while(<GROUP>) 
     {
         my ($groupname,undef,$gid,undef) = split(/:/, $_, 4);
         $gid{$groupname}=$gid;
     }
     close GROUP;

     if(exists $gid{$my_group}) 
     {
         #print $gid{$my_group},"\n";
         return $gid{$my_group};
     }
     else 
     {
         return 1;
     }
   }
   else
   {
     #if the os is AIX
     # Read in /etc/group
     open GROUP, "</etc/group" || return 127;
     while(<GROUP>) 
     {
         my ($groupname,undef,$gid,undef) = split(/:/, $_, 4);
         $gid{$groupname}=$gid;
     }
     close GROUP;
   
     if(exists $gid{$my_group}) 
     {
         #print $gid{$my_group},"\n";
         return  $gid{$my_group};
     } 
     else 
     {
         return 1;
     }
   }
}

sub user2uid {
    shift;
    my $my_user = shift;
    if (!defined($my_user))
    {
      return 127;
    }

    my $PLTFRM = `uname`;
    my $Aix_flg = 0;
    chomp($PLTFRM);
    if ($PLTFRM eq "AIX")
    {
       $Aix_flg=1;
    }

    if ($Aix_flg == 0) 
    {
      # Read in /etc/passwd
      open PASSWD, "</etc/passwd" ||  return 127;
      while(<PASSWD>) 
      {
          my ($login,undef,$uid,undef) = split(/:/, $_, 4);
          $uid{$login}=$uid;
      }
      close PASSWD;

      if(exists $uid{$my_user}) 
      {
          #print $uid{$my_user},"\n";
          return $uid{$my_user};
      } 
      else 
      {
          return 1;
      }
    }
    else
    {
    #if the os is AIX
      # Read in /etc/passwd
      open PASSWD, "</etc/passwd" ||  return 127;
      while(<PASSWD>) 
      {
          my ($login,undef,$uid,undef) = split(/:/, $_, 4);
          $uid{$login}=$uid;
      }
      close PASSWD;

      if(exists $uid{$my_user}) 
      {
          #print $uid{$my_user},"\n";
          return  $uid{$my_user};
      } 
      else 
      {
          return 1;
      }
    }

}

sub uid2user {
    shift;
    my $my_uid = shift;
    if (!defined($my_uid))
    {
      return 127;
    }
    my $PLTFRM = `uname`;
    my $Aix_flg = 0;
    chomp($PLTFRM);
    if ($PLTFRM eq "AIX")
    {
       $Aix_flg=1;
    }

    if ($Aix_flg == 0) 
    {
      # Read in /etc/passwd
      open PASSWD, "</etc/passwd" ||  return 127;
      while(<PASSWD>) 
      {
          my ($login,undef,$uid,undef) = split(/:/, $_, 4);
          $login{$uid}=$login;
      }
      close PASSWD;

      if(exists $login{$my_uid}) 
      {
          #print $login{$my_uid},"\n";
          return $login{$my_uid};
      } 
      else 
      {
          return 1;
      }
    }
    else
    {
    #if the os is AIX
      # Read in /etc/passwd
      open PASSWD, "</etc/passwd" ||  return 127;
      while(<PASSWD>) 
      {
          my ($login,undef,$uid,undef) = split(/:/, $_, 4);
          $login{$uid}=$login;
      }
      close PASSWD;

      if(exists $login{$my_uid}) 
      {
          #print $login{$my_uid},"\n";
          return  $login{$my_uid};
      } 
      else 
      {
          return 1;
      }
    }
}



1;



